org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class ConcatStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.ConcatStageVerification

    public class ConcatStageVerification
    extends java.lang.Object

Verification for the concat stage.

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `concatStageBuilderShouldBeReusable()`
`void` `concatStageShouldCancelSecondStageIfCancellationOccursDuringSecond()`
`void` `concatStageShouldCancelSecondStageIfFirstCancellationOccursDuringFirst()`
`void` `concatStageShouldCancelSecondStageIfFirstFails()`
`void` `concatStageShouldConcatTwoGraphs()`
`void` `concatStageShouldPropagateExceptionsFromSecondStage()`
`void` `concatStageShouldSupportNestedConcats()`
`void` `concatStageShouldWorkWithBothGraphsEmpty()`
`void` `concatStageShouldWorkWithEmptyFirstGraph()`
`void` `concatStageShouldWorkWithEmptySecondGraph()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### concatStageShouldConcatTwoGraphs

    public void concatStageShouldConcatTwoGraphs()

#### concatStageShouldCancelSecondStageIfFirstFails

    public void concatStageShouldCancelSecondStageIfFirstFails()

#### concatStageShouldCancelSecondStageIfFirstCancellationOccursDuringFirst

    public void concatStageShouldCancelSecondStageIfFirstCancellationOccursDuringFirst()

#### concatStageShouldCancelSecondStageIfCancellationOccursDuringSecond

    public void concatStageShouldCancelSecondStageIfCancellationOccursDuringSecond()

#### concatStageShouldPropagateExceptionsFromSecondStage

    public void concatStageShouldPropagateExceptionsFromSecondStage()

#### concatStageShouldWorkWithEmptyFirstGraph

    public void concatStageShouldWorkWithEmptyFirstGraph()

#### concatStageShouldWorkWithEmptySecondGraph

    public void concatStageShouldWorkWithEmptySecondGraph()

#### concatStageShouldWorkWithBothGraphsEmpty

    public void concatStageShouldWorkWithBothGraphsEmpty()

#### concatStageShouldSupportNestedConcats

    public void concatStageShouldSupportNestedConcats()

#### concatStageBuilderShouldBeReusable

    public void concatStageBuilderShouldBeReusable()